"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatMilliseconds = exports.getTimestamp = void 0;
/**
 * @returns Timestamp in miliseconds
 */
const getTimestamp = () => 
// @ts-ignore
typeof performance !== "undefined" ? performance.now() : new Date().getTime();
exports.getTimestamp = getTimestamp;
function formatMilliseconds(ms) {
    return ms > 999 ? (ms / 1000).toFixed(1) + "s" : ms.toFixed(2) + "ms";
}
exports.formatMilliseconds = formatMilliseconds;
