/// <reference types="node" />
export declare const BASE32_ALPHABET = "0123456789ABCDEFGHJKMNPQRSTVWXYZ";
export declare const BASE62_ALPHABET = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
export declare function base32Encode(buffer: Buffer | ArrayBuffer, characterOutputLength?: number): string;
export declare function baseXEncode(buffer: Buffer | ArrayBuffer, alphabet?: string, characterOutputLength?: number): string;
export declare function longToByteArray(long: number): number[];
export declare function byteArrayToLong(byteArray: number[]): number;
export declare function numberEncode(integer: number, alphabet?: string): string;
export declare function numberDecode(chars: string, alphabet?: string): number;
