/// <reference types="node" />
declare type csvOptions = {
    debug?: boolean;
    path?: string;
    filename?: string;
    encoding?: BufferEncoding;
    prefix?: string;
    env?: Record<string, string>;
};
export declare function stringToPath(value?: string): string;
export declare function setupEnv(options?: csvOptions): {
    parsed: Record<string, string>;
    error?: undefined;
} | {
    error: any;
    parsed?: undefined;
};
export {};
